package com.koobietech.eas.mbg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.util.Date;

public class EasArcTlsAttendance implements Serializable {
    private Long id;

    /**
     * 签到日期
     *
     * @mbg.generated
     */
    @Schema(description = "签到日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date checkinDate;

    /**
     * 排课ID
     *
     * @mbg.generated
     */
    @Schema(description = "排课ID")
    private Integer scheduleId;

    /**
     * 月份
     *
     * @mbg.generated
     */
    @Schema(description = "月份")
    private Integer month;

    /**
     * a  表示正常出勤,   b  表示迟到、早退, c  表示旷课, d  表示请假, e表示无效
     *
     * @mbg.generated
     */
    @Schema(description = "a  表示正常出勤,   b  表示迟到、早退, c  表示旷课, d  表示请假, e表示无效")
    private String morning;

    /**
     * a  表示正常出勤,   b  表示迟到、早退, c  表示旷课, d  表示请假, e表示无效
     *
     * @mbg.generated
     */
    @Schema(description = "a  表示正常出勤,   b  表示迟到、早退, c  表示旷课, d  表示请假, e表示无效")
    private String afternoon;

    /**
     * 学员姓名
     *
     * @mbg.generated
     */
    @Schema(description = "学员姓名")
    private String studentName;

    /**
     * 学生档案号
     *
     * @mbg.generated
     */
    @Schema(description = "学生档案号")
    private String studentNumber;

    /**
     * 创建用户
     *
     * @mbg.generated
     */
    @Schema(description = "创建用户")
    private Integer createUid;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCheckinDate() {
        return checkinDate;
    }

    public void setCheckinDate(Date checkinDate) {
        this.checkinDate = checkinDate;
    }

    public Integer getScheduleId() {
        return scheduleId;
    }

    public void setScheduleId(Integer scheduleId) {
        this.scheduleId = scheduleId;
    }

    public Integer getMonth() {
        return month;
    }

    public void setMonth(Integer month) {
        this.month = month;
    }

    public String getMorning() {
        return morning;
    }

    public void setMorning(String morning) {
        this.morning = morning == null ? null : morning.trim();
    }

    public String getAfternoon() {
        return afternoon;
    }

    public void setAfternoon(String afternoon) {
        this.afternoon = afternoon == null ? null : afternoon.trim();
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName == null ? null : studentName.trim();
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber == null ? null : studentNumber.trim();
    }

    public Integer getCreateUid() {
        return createUid;
    }

    public void setCreateUid(Integer createUid) {
        this.createUid = createUid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", checkinDate=").append(checkinDate);
        sb.append(", scheduleId=").append(scheduleId);
        sb.append(", month=").append(month);
        sb.append(", morning=").append(morning);
        sb.append(", afternoon=").append(afternoon);
        sb.append(", studentName=").append(studentName);
        sb.append(", studentNumber=").append(studentNumber);
        sb.append(", createUid=").append(createUid);
        sb.append(", createTime=").append(createTime);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}